本文へスキップ
MiniMax確認中

hailuo-02-fast

hailuo-02-fast

画像から動画出力: 動画入力: テキスト + 画像
料金を読み込み中…
公式定価 · 未確認

最小リクエスト

必須フィールドのみで、このモデルのスキーマから生成されています。環境変数に HERMES_API_KEY を設定してください。

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "hailuo-02-fast",
  "input": {
    "enablePromptExpansion": true,
    "imageUrl": "https://example.com/input.png",
    "duration": "6"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

まずローカルファイルをアップロード

例の URL を、返されたメディア参照に置き換えてください。

POST /api/v1/media
curl -X POST https://api.hermes-ai.net/api/v1/media \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: image/png" \
  --data-binary @input.png
# → { "reference": "media:<uuid>", ... }  Use the reference in an image, video or audio field.